WSE · Schnittstellen
Kassenbuch
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Kassenbuch
ERP API Dokumentation
Add-on erforderlich: Kassenbuch. Die Nutzung setzt das freigeschaltete Add-on und passende Benutzerberechtigungen voraus.
List Cashbooks Endpoint
Return paginated cashbooks.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbooks?skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "name": "string",
- "cash_account_no": "string",
- "opening_balance": "0.00",
- "opening_date": "2019-08-24",
- "currency": "EUR",
- "is_active": true,
- "cashbook_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "current_balance": "string"
}
]
}Create Cashbook Endpoint
Create one cashbook.
Authorizations:
Request Body schema: application/jsonrequired
| name required | string (Name) [ 1 .. 200 ] characters |
| cash_account_no required | string (Cash Account No) [ 1 .. 20 ] characters |
| opening_date required | string <date> (Opening Date) |
Opening Balance (number) or Opening Balance (string) (Opening Balance) Default: "0.00" | |
Any of >= 0 number (Opening Balance) >= 0 Default: "0.00" | |
| currency | string (Currency) Default: "EUR" Value: "EUR" |
| is_active | boolean (Is Active) Default: true |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "name": "string",
- "cash_account_no": "string",
- "opening_balance": "0.00",
- "opening_date": "2019-08-24",
- "currency": "EUR",
- "is_active": true
}Response samples
- 201
- 422
- default
{- "name": "string",
- "cash_account_no": "string",
- "opening_balance": "0.00",
- "opening_date": "2019-08-24",
- "currency": "EUR",
- "is_active": true,
- "cashbook_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "current_balance": "string"
}Get Cashbook Endpoint
Return one cashbook.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbooks/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "name": "string",
- "cash_account_no": "string",
- "opening_balance": "0.00",
- "opening_date": "2019-08-24",
- "currency": "EUR",
- "is_active": true,
- "cashbook_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "current_balance": "string"
}Update Cashbook Endpoint
Update one cashbook.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
Request Body schema: application/jsonrequired
Name (string) or Name (null) (Name) | |
Any of [ 1 .. 200 ] characters string (Name) [ 1 .. 200 ] characters | |
Cash Account No (string) or Cash Account No (null) (Cash Account No) | |
Any of [ 1 .. 20 ] characters string (Cash Account No) [ 1 .. 20 ] characters | |
Is Active (boolean) or Is Active (null) (Is Active) | |
Any of boolean (Is Active) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "name": "string",
- "cash_account_no": "string",
- "is_active": true
}Response samples
- 200
- 422
- default
{- "name": "string",
- "cash_account_no": "string",
- "opening_balance": "0.00",
- "opening_date": "2019-08-24",
- "currency": "EUR",
- "is_active": true,
- "cashbook_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "current_balance": "string"
}List Cashbook Entries Endpoint
Return paginated cashbook entries.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
query Parameters
Date From (string) or Date From (null) (Date From) | |
Date To (string) or Date To (null) (Date To) | |
CashbookEntryDirection (string) or Direction (null) (Direction) | |
CashbookEntrySourceType (string) or Source Type (null) (Source Type) | |
Is Locked (boolean) or Is Locked (null) (Is Locked) | |
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
| sort_by | string (Sort By) Default: "transaction_date" Enum: "transaction_date" "entry_no" "amount" "created_at" |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbooks/string/entries?date_from=2019-08-24&date_to=2019-08-24&direction=income&source_type=manual&is_locked=true&skip=0&limit=100&sort_by=transaction_date&sort_order=asc' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "cashbook_entry_id": "string",
- "cashbook_id": "string",
- "cashbook_import_run_id": "string",
- "entry_no": 0,
- "transaction_date": "2019-08-24",
- "direction": "income",
- "amount": "string",
- "booking_text": "string",
- "offset_account_no": "string",
- "tax_key": "string",
- "tax_rate": "string",
- "receipt_no": "string",
- "external_reference": "string",
- "cost_center_1": "string",
- "cost_center_2": "string",
- "source_type": "manual",
- "source_system_id": "string",
- "source_transaction_id": "string",
- "source_row_number": 0,
- "balance_before": "string",
- "balance_after": "string",
- "locked_by_export_run_id": "string",
- "locked_at": "2019-08-24T14:15:22Z",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}Create Cashbook Entry Endpoint
Create one cashbook entry.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
Request Body schema: application/jsonrequired
| transaction_date required | string <date> (Transaction Date) |
| direction required | string (CashbookEntryDirection) Enum: "income" "expense" Cash movement direction values. |
required | Amount (number) or Amount (string) (Amount) |
Any of > 0 number (Amount) > 0 | |
| booking_text required | string (Booking Text) [ 1 .. 255 ] characters |
| offset_account_no required | string (Offset Account No) [ 1 .. 20 ] characters |
| tax_key required | string (Tax Key) [ 1 .. 20 ] characters |
required | Tax Rate (number) or Tax Rate (string) (Tax Rate) |
Any of [ 0 .. 100 ] number (Tax Rate) [ 0 .. 100 ] | |
Receipt No (string) or Receipt No (null) (Receipt No) | |
Any of <= 100 characters string (Receipt No) <= 100 characters | |
External Reference (string) or External Reference (null) (External Reference) | |
Any of <= 200 characters string (External Reference) <= 200 characters | |
Cost Center 1 (string) or Cost Center 1 (null) (Cost Center 1) | |
Any of <= 100 characters string (Cost Center 1) <= 100 characters | |
Cost Center 2 (string) or Cost Center 2 (null) (Cost Center 2) | |
Any of <= 100 characters string (Cost Center 2) <= 100 characters | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "transaction_date": "2019-08-24",
- "direction": "income",
- "amount": 1,
- "booking_text": "string",
- "offset_account_no": "string",
- "tax_key": "string",
- "tax_rate": 0,
- "receipt_no": "string",
- "external_reference": "string",
- "cost_center_1": "string",
- "cost_center_2": "string"
}Response samples
- 201
- 422
- default
{- "cashbook_entry_id": "string",
- "cashbook_id": "string",
- "cashbook_import_run_id": "string",
- "entry_no": 0,
- "transaction_date": "2019-08-24",
- "direction": "income",
- "amount": "string",
- "booking_text": "string",
- "offset_account_no": "string",
- "tax_key": "string",
- "tax_rate": "string",
- "receipt_no": "string",
- "external_reference": "string",
- "cost_center_1": "string",
- "cost_center_2": "string",
- "source_type": "manual",
- "source_system_id": "string",
- "source_transaction_id": "string",
- "source_row_number": 0,
- "balance_before": "string",
- "balance_after": "string",
- "locked_by_export_run_id": "string",
- "locked_at": "2019-08-24T14:15:22Z",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Update Cashbook Entry Endpoint
Update one cashbook entry.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
| entry_id required | string <uuid4> (Entry Id) |
Request Body schema: application/jsonrequired
Transaction Date (string) or Transaction Date (null) (Transaction Date) | |
Any of string <date> (Transaction Date) | |
CashbookEntryDirection (string) or null | |
Any of string (CashbookEntryDirection) Enum: "income" "expense" Cash movement direction values. | |
Amount (number) or Amount (string) or Amount (null) (Amount) | |
Any of > 0 number (Amount) > 0 | |
Booking Text (string) or Booking Text (null) (Booking Text) | |
Any of [ 1 .. 255 ] characters string (Booking Text) [ 1 .. 255 ] characters | |
Offset Account No (string) or Offset Account No (null) (Offset Account No) | |
Any of [ 1 .. 20 ] characters string (Offset Account No) [ 1 .. 20 ] characters | |
Tax Key (string) or Tax Key (null) (Tax Key) | |
Any of [ 1 .. 20 ] characters string (Tax Key) [ 1 .. 20 ] characters | |
Tax Rate (number) or Tax Rate (string) or Tax Rate (null) (Tax Rate) | |
Any of [ 0 .. 100 ] number (Tax Rate) [ 0 .. 100 ] | |
Receipt No (string) or Receipt No (null) (Receipt No) | |
Any of <= 100 characters string (Receipt No) <= 100 characters | |
External Reference (string) or External Reference (null) (External Reference) | |
Any of <= 200 characters string (External Reference) <= 200 characters | |
Cost Center 1 (string) or Cost Center 1 (null) (Cost Center 1) | |
Any of <= 100 characters string (Cost Center 1) <= 100 characters | |
Cost Center 2 (string) or Cost Center 2 (null) (Cost Center 2) | |
Any of <= 100 characters string (Cost Center 2) <= 100 characters | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "transaction_date": "2019-08-24",
- "direction": "income",
- "amount": 1,
- "booking_text": "string",
- "offset_account_no": "string",
- "tax_key": "string",
- "tax_rate": 0,
- "receipt_no": "string",
- "external_reference": "string",
- "cost_center_1": "string",
- "cost_center_2": "string"
}Response samples
- 200
- 422
- default
{- "cashbook_entry_id": "string",
- "cashbook_id": "string",
- "cashbook_import_run_id": "string",
- "entry_no": 0,
- "transaction_date": "2019-08-24",
- "direction": "income",
- "amount": "string",
- "booking_text": "string",
- "offset_account_no": "string",
- "tax_key": "string",
- "tax_rate": "string",
- "receipt_no": "string",
- "external_reference": "string",
- "cost_center_1": "string",
- "cost_center_2": "string",
- "source_type": "manual",
- "source_system_id": "string",
- "source_transaction_id": "string",
- "source_row_number": 0,
- "balance_before": "string",
- "balance_after": "string",
- "locked_by_export_run_id": "string",
- "locked_at": "2019-08-24T14:15:22Z",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Delete Cashbook Entry Endpoint
Delete one cashbook entry.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
| entry_id required | string <uuid4> (Entry Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/cashbooks/string/entries/string' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Import Cashbook Csv Endpoint
Import cashbook entries from CSV.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
Request Body schema: multipart/form-datarequired
| file required | string <application/octet-stream> (File) |
| has_header required | boolean (Has Header) |
| encoding | string (Encoding) Default: "utf-8" |
| delimiter | string (Delimiter) Default: "," |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/cashbooks/string/imports/csv' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --form-string 'file=string' \ --form-string 'has_header=true' \ --form-string 'encoding=utf-8' \ --form-string 'delimiter=,'
Response samples
- 200
- 413
- 422
- 500
- default
{- "status": "accepted",
- "cashbook_import_run_id": "string",
- "total_rows": 0,
- "created_entries": 0
}Import Cashbook Dsfinvk Endpoint
Import cashbook entries from a DSFinV-K archive.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
Request Body schema: multipart/form-datarequired
| file required | string <application/octet-stream> (File) |
| default_offset_account_no required | string (Default Offset Account No) |
| default_tax_key required | string (Default Tax Key) |
Default Tax Rate (number) or Default Tax Rate (string) (Default Tax Rate) Default: "0.00" | |
Any of number (Default Tax Rate) Default: "0.00" | |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/cashbooks/string/imports/dsfinvk' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --form-string 'file=string' \ --form-string 'default_offset_account_no=string' \ --form-string 'default_tax_key=string' \ --form-string 'default_tax_rate=0.00'
Response samples
- 200
- 413
- 422
- 500
- default
{- "status": "accepted",
- "cashbook_import_run_id": "string",
- "total_rows": 0,
- "created_entries": 0
}List Cashbook Imports Endpoint
Return recent cashbook import runs.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbooks/string/imports?skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "cashbook_import_run_id": "string",
- "cashbook_id": "string",
- "source_type": "csv",
- "status": "accepted",
- "original_filename": "string",
- "content_type": "string",
- "sha256_checksum": "string",
- "raw_archive_filename": "string",
- "total_rows": 0,
- "accepted_rows": 0,
- "rejected_rows": 0,
- "error_count": 0,
- "created_at": "2019-08-24T14:15:22Z"
}
]
}Create Cashbook Datev Export Job Endpoint
Queue a cashbook DATEV export job.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
Request Body schema: application/jsonrequired
| export_year required | integer (Export Year) [ 2000 .. 2100 ] |
| export_month required | integer (Export Month) [ 1 .. 12 ] |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "export_year": 2000,
- "export_month": 1
}Response samples
- 201
- 422
- 500
- default
{- "message": "string",
- "cashbook_export_run_id": "string"
}List Cashbook Datev Export Runs Endpoint
Return recent cashbook DATEV export runs.
Authorizations:
path Parameters
| cashbook_id required | string <uuid4> (Cashbook Id) |
query Parameters
| limit | integer (Limit) [ 1 .. 1000 ] Default: 50 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbooks/string/datev-export-runs?limit=50' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 0,
- "items": [
- {
- "cashbook_export_run_id": "string",
- "cashbook_id": "string",
- "status": "pending",
- "start_date": "2019-08-24T14:15:22Z",
- "end_date": "2019-08-24T14:15:22Z",
- "heartbeat_at": "2019-08-24T14:15:22Z",
- "export_year": 0,
- "export_month": 0,
- "export_period_start": "2019-08-24",
- "export_period_end": "2019-08-24",
- "total_entries": 0,
- "processed_entries": 0,
- "failed_entries": 0,
- "ascii_zip_filename": "string",
- "extf_zip_filename": "string",
- "ascii_zip_available": false,
- "extf_zip_available": false,
- "comment": "string",
- "expired_date": "2019-08-24"
}
]
}Get Cashbook Datev Export Job Endpoint
Return one cashbook DATEV export run.
Authorizations:
path Parameters
| cashbook_export_run_id required | string <uuid4> (Cashbook Export Run Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbook-datev-export-jobs/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "cashbook_export_run_id": "string",
- "cashbook_id": "string",
- "status": "pending",
- "start_date": "2019-08-24T14:15:22Z",
- "end_date": "2019-08-24T14:15:22Z",
- "heartbeat_at": "2019-08-24T14:15:22Z",
- "export_year": 0,
- "export_month": 0,
- "export_period_start": "2019-08-24",
- "export_period_end": "2019-08-24",
- "total_entries": 0,
- "processed_entries": 0,
- "failed_entries": 0,
- "ascii_zip_filename": "string",
- "extf_zip_filename": "string",
- "ascii_zip_available": false,
- "extf_zip_available": false,
- "comment": "string",
- "expired_date": "2019-08-24"
}Download Cashbook Datev Ascii Archive Endpoint
Download the generated cashbook ASCII archive.
Authorizations:
path Parameters
| cashbook_export_run_id required | string <uuid4> (Cashbook Export Run Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbook-datev-export-jobs/string/downloads/kassenbuch-ascii' \ --header 'Accept: application/zip' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- 500
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Download Cashbook Datev Extf Archive Endpoint
Download the generated cashbook EXTF archive.
Authorizations:
path Parameters
| cashbook_export_run_id required | string <uuid4> (Cashbook Export Run Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/cashbook-datev-export-jobs/string/downloads/extf' \ --header 'Accept: application/zip' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- 500
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}